﻿/**
 * Normal carousel cells settings
 * Настройки ячеек карусели обычного размера
 */
{
  // Definitions
  // Шаблоны
  "def": {
    // Text fields shadow.
    // Тень текстовых полей.
    "textFieldShadow": { "enabled": true, "color": "0x000000", "alpha": 80, "blur": 2, "strength": 2, "distance": 0, "angle": 0 }
  },
  "normal": {
    // Cell width
    // Ширина ячейки
    "width": 160,
    // Cell height
    // Высота ячейки
    "height": 100,
    // Spacing between carousel cells.
    // Отступ между ячейками карусели.
    "gap": 10,
    // Standard cell elements.
    // Стандартные элементы ячеек.
    "fields": {
      // "enabled"  - the visibility of the element / видимость элемента
      // "dx"       - horizontal shift              / смещение по горизонтали
      // "dy"       - vertical shift                / смещение по вертикали
      // "alpha"    - transparency                  / прозрачность
      // "scale"    - scale                         / масштаб
      //
      // Vehicle class icon.
      // Иконка типа техники.
      "tankType": { "enabled": false, "dx": 0, "dy": 0, "alpha": 100, "scale": 1 },
      // Vehicle level.
      // Уровень техники
      "level":    { "enabled": false, "dx": 0, "dy": 0, "alpha": 100, "scale": 1 },
      // Double XP icon
      // Иконка не сбитого опыта за первую победу в день.
      "xp":       { "enabled": true, "dx": 0, "dy": 0, "alpha": 100, "scale": 1 },
      // Vehicle name.
      // Название танка.
      "tankName": { "enabled": false, "dx": 0, "dy": 0, "alpha": 100, "scale": 1 },
      // Vehicle rent info text.
      // Инфо текст аренды танка.
      "rentInfo": { "enabled": true, "dx": 0, "dy": 0, "alpha": 100, "scale": 1 },
      // Info text (Crew incomplete, Repairs required)
      // Инфо текст (Неполный экипаж, Требуется ремонт).
      "info":     { "enabled": true, "dx": 0, "dy": 0, "alpha": 100, "scale": 1 },
      // Info text for "Buy vehicle" and "Buy slot" slots.
      // Инфо текст для слотов "Купить машину" и "Купить слот".
      "infoBuy":  { "enabled": true, "dx": 0, "dy": 0, "alpha": 100, "scale": 1 },
      // Clan lock timer
      // Таймер блокировки танка
      "clanLock": { "enabled": true, "dx": 0, "dy": 0, "alpha": 100 },
      // Price
      // Цена
      "price":    { "enabled": true, "dx": 0, "dy": 0, "alpha": 100 },
      // Action price
      // Акционная цена
      "actionPrice": { "enabled": true, "dx": 0, "dy": 0, "alpha": 100 },
	  // Favorite vehicle mark
      // Маркер основной техники
      "favorite": { "enabled": false, "dx": 0, "dy": 0, "alpha": 100 },
      // Stats field that appears on the mouse hover
      // Поле статистики, отображаемое при наведении мыши
      "stats": { "enabled": false, "dx": 0, "dy": 0, "alpha": 100 }
    },
    // Extra cell fields (see playersPanel.xc).
    // Дополнительные поля ячеек (см. playersPanel.xc).
    "extraFields": [
 // { "x": -1, "y": 20, "format": "<img src='img://gui/maps/icons/carousel/bar_l.png' width='66' height='15'>", "alpha": "{{v.hitsRatio?100|0}}" },  
      // { "x": 30, "y": -1, "format": "<img src='img://gui/maps/icons/carousel/bar_m.png' width='109' height='15'>", "alpha": "{{v.hitsRatio?100|0}}" },	  
     
	 
	  { "x": 0, "y": -2, "format": "<img src='img://gui/maps/icons/library/proficiency/class_icons_{{v.mastery}}.png' width='26' height='26'>" },
      // { "x":  0, "y": 18, "format": "<img src='img://gui/maps/icons/carousel/hits.png' width='20' height='18'> <b><font size='14' face='$FieldFont' color='{{v.c_winrate}}'> {{v.winrate%2d~%}}</font></b>", "shadow": { "color": "0x000000", "alpha": 0.8, "blur": 2, "strength": 5, "distance": 0, "angle": 0 }},
	  // { "x": 0, "y": 0, "format": "<img src='img://gui/maps/icons/carousel/Flags/nation_{{v.nation}}.dds' width='30' height='30'>", "alpha": 100 },

	  // { "x": -1, "y": 39, "format": "<img src='img://gui/maps/icons/carousel/bar_l.png' width='66' height='15'>", "alpha": "{{v.hitsRatio?100|0}}" },
      // { "x": -1, "y": 38, "format": "<img src='img://gui/maps/icons/library/TournamentBattleResultIcon-1.png' width='18' height='18'>" },
      // { "x": 24, "y": 37, "format": "<b><font size='14' face='$FieldFont' color='{{v.c_battles}}'>{{v.battles%-4d|--}}</font></b>", "shadow": { "color": "0x000000", "alpha": 0.8, "blur": 2, "strength": 5, "distance": 0, "angle": 0 }},

      // { "x": 134, "y": 24,"format": "<b><font size='14' face='$FieldFont' color='{{v.c_tfb}}'>{{v.tfb%3.3s|---}}</font></b>","shadow": { "color": "0x000000", "alpha": 0.8, "blur": 2, "strength": 5, "distance": 0, "angle": 0 }},

      { "x": 122, "y": 21, "height": 35, "width": 35, "src": "img://gui/maps/icons/carousel/Marks/{{v.nation}}_{{v.marksOnGun}}_marks.png" },
	  // { "x": 93,  "y": 42, "format": "<img src='img://gui/maps/icons/carousel/bar_r.png' width='65' height='15'>", "alpha": "{{v.damageRating?90|0}}" },
      // { "x": 117, "y": 41, "format": "<b><font  size='14' face='$FieldFont' color='{{v.c_damageRating}}'>{{v.damageRating%-2.2f~%}}</font></b>" , "shadow": { "color": "0x000000", "alpha": 0.8, "blur": 2, "strength": 5, "distance": 0, "angle": 0 }},

      // { "x": -1, "y": 57, "format": "<img src='img://gui/maps/icons/carousel/bar_l.png' width='25' height='25'>", "alpha": "{{v.hitsRatio?100|0}}" },
      // { "x": -1, "y": 56, "format": "<img src='img://gui/maps/icons/library/ClanBattleResultIcon-1.png' width='18' height='18'>" },
	  {
                "x": 1,
                "y": 54,
                "align": "left",
                "alpha": 100,
                "format": "<font size='12' face='$FieldFont' color='#7d7d75'>F/B: <font size='12' face='$FieldFont' color='{{v.c_tfb}}'><b>{{v.tfb%3.3s}}</b></font>",
                "shadow":
                    {
                    "enabled": true,            // false - no shadow.
                    "distance": 0,              // (in pixels)
                    "angle": 0,                 // 0.0 - 360.0
                    "color": "0x000000",        // "0xXXXXXX"
                    "alpha": 80,                // 0.0 - 1.0
                    "blur": 6,                  // 0.0 - 255.0; 6 is recommended
                    "strength": 4               // 0.0 - 255.0; 3 is recommended
                    }
                },
	  {
                "x": 1,
                "y": 41,
                "align": "left",
                "alpha": 100,
                "format": "<font size='12' face='$FieldFont' color='#7d7d75'>W/B: <font size='12' face='$FieldFont' color='{{v.c_winrate}}'><b>{{v.winrate%d~%}}</b></font>",
                "shadow":
                    {
                    "enabled": true,            // false - no shadow.
                    "distance": 0,              // (in pixels)
                    "angle": 0,                 // 0.0 - 360.0
                    "color": "0x000000",        // "0xXXXXXX"
                    "alpha": 80,                // 0.0 - 1.0
                    "blur": 6,                  // 0.0 - 255.0; 6 is recommended
                    "strength": 4               // 0.0 - 255.0; 3 is recommended
                    }
                },
	  {
                "x": 1,
                "y": 28,
                "align": "left",
                "alpha": 100,
                "format": "<font size='12' face='$FieldFont' color='#7d7d75'>xTE: <font size='12' face='$FieldFont' color='{{v.c_xte}}'><b>{{v.xte}}</b></font>",
                "shadow":
                    {
                    "enabled": true,            // false - no shadow.
                    "distance": 0,              // (in pixels)
                    "angle": 0,                 // 0.0 - 360.0
                    "color": "0x000000",        // "0xXXXXXX"
                    "alpha": 80,                // 0.0 - 1.0
                    "blur": 6,                  // 0.0 - 255.0; 6 is recommended
                    "strength": 4               // 0.0 - 255.0; 3 is recommended
                    }
                },
	  {
                "x": 1,
                "y": 67,
                "align": "left",
                "alpha": 100,
                "format": "<font size='12' face='$FieldFont' color='#7d7d75'>GPL: <font size='12' face='$FieldFont' color='{{v.c_battles}}'><b>{{v.battles}}</b></font>",
                "shadow":
                    {
                    "enabled": true,            // false - no shadow.
                    "distance": 0,              // (in pixels)
                    "angle": 0,                 // 0.0 - 360.0
                    "color": "0x000000",        // "0xXXXXXX"
                    "alpha": 80,                // 0.0 - 1.0
                    "blur": 6,                  // 0.0 - 255.0; 6 is recommended
                    "strength": 4               // 0.0 - 255.0; 3 is recommended
                    }
                },
	  {
                "x": 1,
                "y": 80,
                "align": "left",
                "alpha": 100,
                "format": "<font size='12' face='$FieldFont' color='#7d7d75'>D/B: <font size='12' face='$FieldFont' color='{{v.c_tdb}}'><b>{{v.tdb%-4d~ }}</b></font>",
                "shadow":
                    {
                    "enabled": true,            // false - no shadow.
                    "distance": 0,              // (in pixels)
                    "angle": 0,                 // 0.0 - 360.0
                    "color": "0x000000",        // "0xXXXXXX"
                    "alpha": 80,                // 0.0 - 1.0
                    "blur": 6,                  // 0.0 - 255.0; 6 is recommended
                    "strength": 4               // 0.0 - 255.0; 3 is recommended
                    }
                },
	  {
                "x": 158,
                "y": 54,
                "align": "right",
                "alpha": 100,            
                "format": "<font size='12' face='$FieldFont' color='#7d7d75'>{{v.damageRating%-2.2f~%}}</font>",
                "shadow":
                    {
                    "distance": 0,                // (in pixels)
                    "angle": 0,                   // 0.0 - 360.0
                    "color": "0x000000",          // "0xXXXXXX"
                    "alpha": 80,                  // 0.0 - 1.0
                    "blur": 6,                    // 0.0 - 255.0; 6 is recommended
                    "strength": 4                 // 0.0 - 255.0; 3 is recommended
                    }
                },
	  {
                "x": 156,
                "y": 67,
                "align": "right",
                "alpha": 100,
                "format": "<font size='12' color='#7d7d75'>({{v.battletiermin}}-{{v.battletiermax}}) <font size='12' color='#FFFFFF'><b>{{v.rlevel}}</b></font></textformat>",
                "shadow":
                    {
                    "distance": 0,                // (in pixels)
                    "angle": 0,                   // 0.0 - 360.0
                    "color": "0x000000",          // "0xXXXXXX"
                    "alpha": 80,                  // 0.0 - 1.0
                    "blur": 6,                    // 0.0 - 255.0; 6 is recommended
                    "strength": 4                 // 0.0 - 255.0; 3 is recommended
                    }
                },
	  {
                "x": 156,
                "y": 80,
                "align": "right",
                "alpha": "{{v.premium?0|100}}",
                "format": "<font size='12' face='$FieldFont' color='{{v.premium?#E7B622|#FFFFFF}}'>{{v.name}}</font>",
                "shadow":
                    {
                    "distance": 0,                           // (in pixels)
                    "angle": 0,                              // 0.0 - 360.0
                    "color": "0x434343",                     // "0xXXXXXX"
                    "alpha": "1",                            // 0.0 - 1.0
                    "blur": 6,                               // 0.0 - 255.0; 6 is recommended
                    "strength": 3                            // 0.0 - 255.0; 3 is recommended
                    }
                },
	  {
                "x": 156,
                "y": 80,
                "align": "right",
                "alpha": "{{v.premium?100|0}}",
                "format": "<font size='12' face='$FieldFont' color='{{v.premium?#E7B622|#FFFFFF}}'>{{v.name}}</font>",
                "shadow":
                    {
                    "distance": 0,                           // (in pixels)
                    "angle": 0,                              // 0.0 - 360.0
                    "color": "0x642D1A",                     // "0xXXXXXX"
                    "alpha": "1",                            // 0.0 - 1.0
                    "blur": 6,                               // 0.0 - 255.0; 6 is recommended
                    "strength": 3                            // 0.0 - 255.0; 3 is recommended
                    }
                }
      // { "x": 23, "y": 57, "format": "<b><font size='12' face='$FieldFont' color='{{v.c_tdb}}'>{{v.tdb%-4d~ }}</font></b>", "shadow": { "color": "0x000000", "alpha": 0.8, "blur": 2, "strength": 5, "distance": 0, "angle": 0 }}
    ]
  }
}
